As an industry standard, in order to be eligible for an upgrade, you must be within two versions of the current model. Thus, in order to get to Canvas Draw 5, you would need to currently own Canvas Draw 4 or Canvas Draw 3.